org.springframework.messaging.simp

## Class SimpSessionScope

- java.lang.Object
- - org.springframework.messaging.simp.SimpSessionScope

All Implemented Interfaces:
  org.springframework.beans.factory.config.Scope

    public class SimpSessionScope
    extends Object
    implements org.springframework.beans.factory.config.Scope

A `Scope` implementation exposing the attributes of a SiMP session (e.g. WebSocket session).

Relies on a thread-bound `SimpAttributes` instance exported by `SimpAnnotationMethodMessageHandler`.

Since:
  4.1
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`SimpSessionScope()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(String name, org.springframework.beans.factory.ObjectFactory<?> objectFactory)`
`String` `getConversationId()`
`void` `registerDestructionCallback(String name, Runnable callback)`
`Object` `remove(String name)`
`Object` `resolveContextualObject(String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpSessionScope

    public SimpSessionScope()

### Method Detail

#### get

    public Object get(String name,
                      org.springframework.beans.factory.ObjectFactory<?> objectFactory)

Specified by:
  `get` in interface `org.springframework.beans.factory.config.Scope`

#### remove

    @Nullable
    public Object remove(String name)

Specified by:
  `remove` in interface `org.springframework.beans.factory.config.Scope`

#### registerDestructionCallback

    public void registerDestructionCallback(String name,
                                            Runnable callback)

Specified by:
  `registerDestructionCallback` in interface `org.springframework.beans.factory.config.Scope`

#### resolveContextualObject

    @Nullable
    public Object resolveContextualObject(String key)

Specified by:
  `resolveContextualObject` in interface `org.springframework.beans.factory.config.Scope`

#### getConversationId

    public String getConversationId()

Specified by:
  `getConversationId` in interface `org.springframework.beans.factory.config.Scope`